> For the complete documentation index, see [llms.txt](https://docs.ckbull.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ckbull.app/api/requests/transaction-request.md).

# Transaction request

## Generate :unlock:

To create a transaction request as a dApp, you will need to provide a sign in token and a transaction.

{% hint style="info" %}
A **partial transaction** is a transaction with the **TransactionSkeletonType** format specified in the library [**Lumos**](https://github.com/ckb-js/lumos). You need to attach the necessary fields that you want your transaction to have so that it can be processed by the API.
{% endhint %}

{% hint style="info" %}
Each transaction request has **7 days** to be signed or rejected before it expires.
{% endhint %}

{% openapi src="/files/IoEMLLlEMYecgfMTUZ2D" path="/api/transaction-request" method="post" %}
[openapi-spec.json](https://4100684485-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPlB1oN5qXYGlSUWHxkql%2Fuploads%2Fgit-blob-cbbcae6fea374cebec1fa40b6477c93b3c9f8e5b%2Fopenapi-spec.json?alt=media)
{% endopenapi %}

{% hint style="warning" %}
Remember that to create a transaction request successfully **you need to provide a signed sign in token.** If the provided token is not signed your request will be rejected.
{% endhint %}

{% hint style="warning" %}
This is a protected call which uses API authentication. See how to implement it in [**API authentication**](/api/authentication.md) section.
{% endhint %}

## Get

With the provided transaction token, this method will return all pertinent information from the transaction request, including the sign in request and transaction data

{% openapi src="/files/IoEMLLlEMYecgfMTUZ2D" path="/api/transaction-request/{transactionToken}" method="get" %}
[openapi-spec.json](https://4100684485-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPlB1oN5qXYGlSUWHxkql%2Fuploads%2Fgit-blob-cbbcae6fea374cebec1fa40b6477c93b3c9f8e5b%2Fopenapi-spec.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ckbull.app/api/requests/transaction-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
